import _extends from "@babel/runtime/helpers/extends";
import _Switch from "@alifd/next/es/switch";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["disabled", "size"];
import * as React from 'react';
import "./index.scss";
var Switch = function Switch(_ref) {
  var disabled = _ref.disabled,
    size = _ref.size,
    otherProps = _objectWithoutPropertiesLoose(_ref, _excluded);
  var _otherProps = otherProps || {};
  return /*#__PURE__*/React.createElement("div", _extends({
    className: "switch"
  }, _otherProps), /*#__PURE__*/React.createElement(_Switch, {
    size: size,
    disabled: disabled
  }));
};
Switch.displayName = 'Switch';
export default Switch;